[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSetuid

Set the current user ID

## Declaration

Source position: bunxh.inc line 52

`function FpSetuid(`
`uid: TUid`
`):cint;`

## Description

fpSetUID sets the user ID of the current process. This call will only work if it is executed as root, or the program is setuid root.

On success, zero is returned, on error -1 is returned.

## Errors

Extended error information can be retrieved with fpGetErrNo.

## See also

FpGetGid |  | Return real group ID
FpGetUid |  | Return current user ID
FpGetEUid |  | Return effective user ID
FpGetEGid |  | Return effective group ID
FpGetPid |  | Return current process ID
FpGetPPid |  | Return parent process ID
FpSetGid |  | Set the current group ID